package com.tykj.dev.device.train.service;

import com.tykj.dev.device.train.entity.TrainTheme;
import com.tykj.dev.device.train.entity.vo.*;

import java.util.List;

/**
 * @author zjm
 * @version 1.0.0
 * @ClassName TrainService.java
 * @Description TODO
 * @createTime 2020年08月13日 15:21:00
 */
public interface TrainThemeService {

    TrainTheme save(TrainTheme trainTheme);

    TrainTheme findById(Integer trainThemeId);

    List<TrainTheme> findAllStatus(Integer status);

    ByTrainingPeople findByTrainingPeople(Integer trainThemeId, Integer userId);

    TrainRegistrationVo findRegistrationVo(Integer trainThemeId);

    TrainTrainingVo findTrainTrainingVo(Integer trainThemeId);

    TrainAuditVo findTrainAuditVo(Integer trainThemeId);

    TrainTheme updateTrain(TrainUpdateVo trainUpdateVo);

    TrainThemePage findTrainPageVo(ConditionsTrainVo conditionsTrainVo);

}
